    # File lib/merb-core/dispatch/request.rb, line 310
        def params
          @params ||= begin
            h = body_and_query_params.merge(route_params)
            h.merge!(multipart_params) if self.class.parse_multipart_params && multipart_params
            h.merge!(json_params) if self.class.parse_json_params && json_params
            h.merge!(xml_params) if self.class.parse_xml_params && xml_params
            h
          end
        end